| Exiv2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Exiv2::Internal::MinoltaMakerNote Class Reference

MakerNote for Minolta cameras. More...

`#include <minoltamn_int.hpp>`

## Static Public Member Functions
static const TagInfo * | tagList ()
| Return read-only list of built-in Minolta tags.
static const TagInfo * | tagListCsStd ()
| Return read-only list of built-in Minolta Standard Camera Settings tags.
static const TagInfo * | tagListCs7D ()
| Return read-only list of built-in Minolta 7D Camera Settings tags.
static const TagInfo * | tagListCs5D ()
| Return read-only list of built-in Minolta 5D Camera Settings tags.
static const TagInfo * | tagListCsA100 ()
| Return read-only list of built-in Sony A100 Camera Settings tags.

## Print functions for Minolta MakerNote tags
static std::ostream & | printMinoltaExposureSpeedStd (std::ostream &os, const Value &value, const ExifData *)
| Print Exposure Speed setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaExposureTimeStd (std::ostream &os, const Value &value, const ExifData *)
| Print Exposure Time setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaFNumberStd (std::ostream &os, const Value &value, const ExifData *)
| Print F Number setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaExposureCompensationStd (std::ostream &os, const Value &value, const ExifData *)
| Print Exposure Compensation setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaFocalLengthStd (std::ostream &os, const Value &value, const ExifData *)
| Print Focal Length setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaDateStd (std::ostream &os, const Value &value, const ExifData *)
| Print Minolta Date from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaTimeStd (std::ostream &os, const Value &value, const ExifData *)
| Print Minolta Time from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaFlashExposureCompStd (std::ostream &os, const Value &value, const ExifData *)
| Print Flash Exposure Compensation setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaWhiteBalanceStd (std::ostream &os, const Value &value, const ExifData *)
| Print White Balance setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaBrightnessStd (std::ostream &os, const Value &value, const ExifData *)
| Print Brightness setting from standard Minolta Camera Settings makernote.
static std::ostream & | printMinoltaExposureManualBias5D (std::ostream &os, const Value &value, const ExifData *)
| Print Exposure Manual Bias setting from 5D Minolta Camera Settings makernote.
static std::ostream & | printMinoltaExposureCompensation5D (std::ostream &os, const Value &value, const ExifData *)
| Print Exposure Compensation setting from 5D Minolta Camera Settings makernote.

## Detailed Description

MakerNote for Minolta cameras.

## Member Function Documentation

## ◆ printMinoltaExposureCompensation5D()

std::ostream & Exiv2::Internal::MinoltaMakerNote::printMinoltaExposureCompensation5D | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | )
| static

Print Exposure Compensation setting from 5D Minolta Camera Settings makernote.

Method to convert Minolta Dynax 5D exposure compensation values.

References Exiv2::Value::toInt64().

## ◆ printMinoltaExposureManualBias5D()

std::ostream & Exiv2::Internal::MinoltaMakerNote::printMinoltaExposureManualBias5D | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | )
| static

Print Exposure Manual Bias setting from 5D Minolta Camera Settings makernote.

Method to convert Minolta Dynax 5D exposure manual bias values.

References Exiv2::Value::toInt64().

The documentation for this class was generated from the following files:

- minoltamn_int.hpp
- minoltamn_int.cpp